﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) VER /9100
DATE:                  2017-02-14 14:18:42
AUTHOR:                Fluke
REVISION:              $Revision: 18287 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       60
NUMBER OF LINES:       576
CONFIGURATION:         Datron 9100
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.0"))
  1.003  END
  1.004  ENDIF

  1.005  HEAD         PRELIMINARY INSTRUCTIONS
  1.006  CALL         Sub Display Copyright
  1.007  CALL         Sub High Voltage Safety Warning
  1.008  CALL         Sub Select Failed Test Mode
  1.009  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.010  HEAD         TEST CONDITIONS
  1.011  DISP         No specific warm-up time requirement.
  1.011  DISP         Ambient temperature: 18° C - 28° C
  1.011  DISP         Relative humidity: less than 90 %

  1.012  HEAD         EQUIPMENT REQUIREMENTS
  1.013  OPBR         -z Do you want to review the list of additional
  1.013  OPBR         equipment and/or accessories required?

  1.014  IF           MEM1
  1.015  DISP         The following additional equipment is required:
  1.015  DISP
  1.015  DISP         - Wavetek 9105 Work Mat
  1.016  ENDIF

  1.017  HEAD         INITIAL INFORMATION
  1.018  DISP         Ensure DUT readings have been allowed to settle
  1.018  DISP         prior to proceeding with each test.

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.019  MATH         CalDev  = "Datron 9100"
  1.020  MATH         CalConf = CONF(CalDev)
  1.021  JMPL         AC_VOLTAGE

  1.022  LABEL        DC_VOLTAGE
  1.023  RSLT         =
  1.024  HEAD         {DC VOLTAGE}

  1.025  RSLT         =
  1.026  HEAD         -2{1000 mV Range}
  1.027  TARGET       -p
  1.028  DISP         Rotate the DUT function switch to V DC.
  1.029  TARGET       -m
  1.030  9100   1000  0.0mV          0.25% 0.5U                            2W
  2.001  9100   1000  900.0mV        0.25% 0.5U                            2W
  3.001  9100   1000  -900.0mV       0.25% 0.5U                            2W

  4.001  RSLT         =
  4.002  HEAD         -2{10 V Range}
  4.003  TARGET
  4.004  9100   10    9.000V         0.25% 0.005U                          2W

  5.001  RSLT         =
  5.002  HEAD         -2{100 V Range}
  5.003  TARGET
  5.004  9100   100   90.00V         0.25% 0.05U                           2W

  6.001  RSLT         =
  6.002  HEAD         -2{1000 V Range}
  6.003  TARGET
  6.004  9100   1000  975.0V         0.25% 0.5U                            2W
  7.001  9100   1000  -975.0V        0.25% 0.5U                            2W

  8.001  9100         *                                                 S

  8.002  RSLT         =
  8.003  HEAD         {AC+DC VOLTAGE}
  8.004  RSLT         =
  8.005  HEAD         -2{10 V Range}
  8.006  TARGET       -p
  8.007  DISP         Press DUT yellow button until "AC+DC" is displayed.
  8.008  TARGET       -m
  8.009  9100   10    1.100V         1.5% 0.010U                           2W

  9.001  RSLT         =
  9.002  HEAD         -2{100 V Range}
  9.003  TARGET
  9.004  9100   100   25.00V         2.5% 0.10U    1kH            SI       2W

 10.001  9100         *                                                 S
 10.002  JMPL         RESISTANCE

 10.003  LABEL        AC_VOLTAGE
 10.004  RSLT         =
 10.005  HEAD         {AC VOLTAGE}
 10.006  RSLT         =
 10.007  HEAD         -2{1000 mV Range}
 10.008  TARGET       -p
 10.009  PIC          9100_38XR_VZFD_2w
 10.010  DISP         Rotate the DUT function switch from OFF to V AC.
 10.011  TARGET       -m
 10.012  9100   1000  0.0mV          1.2% 1.0U                             2W
 11.001  9100   1000  100.0mV        1.2% 1.0U     50H            SI       2W
 12.001  9100   1000  900.0mV        2% 1.0U       2kH            SI       2W

 13.001  RSLT         =
 13.002  HEAD         -2{10 V Range}
 13.003  TARGET
 13.004  9100   10    9.000V         1.2% 0.010U   50H            SI       2W

 14.001  RSLT         =
 14.002  HEAD         -2{100 V Range}
 14.003  TARGET
 14.004  9100   100   65.00V         2% 0.10U      1kH            SI       2W

 15.001  RSLT         =
 15.002  HEAD         -2{(Peak Hold)}
# Establish target for "P-" post test Repeat and Cancel options.
 15.003  LABEL        PEAK_HOLD_100V_RANGE_ASK+K_ASK-B
 15.004  TARGET       -p
 15.005  9100         65.00V                       1kH            SI    S  2W
# Get 9100 accuracy at 65 V / 1 kHz and convert to percent.
 15.006  MATH         L[1] = ACCV2("Datron 9100", "Volts SI", MEM1, 1E+3)
 15.007  MATH         L[1] = (L[1] / MEM1) * 100
 15.008  DISP         Press and hold the PEAK ± button until the DUT beeps;
 15.008  DISP         "CAL" will be displayed for ~1 second then disappear.
 15.008  DISP
 15.008  DISP         Momentarily press the DUT PEAK ± button until "P+"
 15.008  DISP         appears on the display.
 15.009  ACC          +91.91Vp       L1%
 15.010  TARGET       -m
 15.011  MEMI         Enter DUT reading in volts:
 15.012  MEMCX  100   +91.91Vp       3% 2.00U      1kH

 16.001  JMPL         P-_100V_RANGE_ASK+K_ASK-B

 16.002  TARGET
 16.003  JMPL         PEAK_HOLD_100V_RANGE_ASK+K_ASK-B

 16.004  LABEL        P-_100V_RANGE_ASK+K_ASK-B
 16.005  DISP         Momentarily press the DUT PEAK ± button until "P-"
 16.005  DISP         appears on the display.
 16.006  ACC          -91.91Vp       L1%
 16.007  TARGET       -m
 16.008  MEMI         Enter DUT reading in volts:
 16.009  MEMCX  100   -91.91Vp       3% 2.00U      1kH

 17.001  9100         *                                                 S
 17.002  DISP         Press and hold the PEAK ± button until the DUT beeps,
 17.002  DISP         exiting the Peak Hold function. ("P-" will disappear
 17.002  DISP         from the DUT display.)

 17.003  RSLT         =
 17.004  HEAD         -2{750 V Range}
 17.005  TARGET
 17.006  9100   750   500.0V         2% 1.0U       500H           SI       2W

 18.001  RSLT         =
 18.002  HEAD         -2{(Peak Hold)}
# Establish target for "P-" post test Repeat and Cancel options.
 18.003  LABEL        PEAK_HOLD_750V_RANGE_ASK+K_ASK-B
 18.004  TARGET
 18.005  9100         500.0V                       500H           SI    S  2W
# Get 9100 accuracy at 500 V / 500 Hz and convert to percent.
 18.006  MATH         L[1] = ACCV2("Datron 9100", "Volts SI", MEM1, 500)
 18.007  MATH         L[1] = (L[1] / MEM1) * 100
 18.008  DISP         Press and hold the PEAK ± button until the DUT beeps;
 18.008  DISP         "CAL" will be displayed for ~1 second then disappear.
 18.008  DISP
 18.008  DISP         Momentarily press the DUT PEAK ± button until "P+"
 18.008  DISP         appears on the display.
 18.009  ACC          +707.0Vp       L1%
 18.010  TARGET       -m
 18.011  MEMI         Enter DUT reading in volts:
 18.012  MEMCX  750   +707.0Vp       3% 20.0U      500H

 19.001  JMPL         P-_750V_RANGE_ASK+K_ASK-B

 19.002  TARGET
 19.003  JMPL         PEAK_HOLD_750V_RANGE_ASK+K_ASK-B

 19.004  LABEL        P-_750V_RANGE_ASK+K_ASK-B
 19.005  DISP         Momentarily press the DUT PEAK ± button until "P-"
 19.005  DISP         appears on the display.
 19.006  ACC          -707.0Vp       L1%
 19.007  TARGET       -m
 19.008  MEMI         Enter DUT reading in volts:
 19.009  MEMCX  750   -707.0Vp       3% 20.0U      500H

 20.001  9100         *                                                 S
 20.002  DISP         Press and hold the PEAK ± button until the DUT beeps,
 20.002  DISP         exiting the Peak Hold function. ("P-" will disappear
 20.002  DISP         from the display.)

 20.003  RSLT         =
 20.004  HEAD         -2{(Leads Reversed)}
 20.005  TARGET       -p
 20.006  DISP         For the following test, reverse connections as follows:
 20.006  DISP
 20.006  DISP         [32] 9105 Work Mat    to    DUT
 20.006  DISP         [32] 'Red' lead to -------> COM
 20.006  DISP         [32] 'Black' lead to -----> V-Ω-Diode
 20.007  TARGET       -m
 20.008  9100   750   735.0V         2% 1.0U       1kH            SI       2W

 21.001  9100         *                                                 S
 21.002  DISP         Restore the original connections as follows:
 21.002  DISP
 21.002  DISP         [32] 9105 Work Mat    to    DUT
 21.002  DISP         [32] 'Red' lead to -------> V-Ω-Diode
 21.002  DISP         [32] 'Black' lead to -----> COM

 21.003  RSLT         =
 21.004  HEAD         {dBm}
 21.005  TARGET       -p
 21.006  DISP         Press the DUT yellow button until "dBm" is displayed.
 21.007  9100         56.167V                      5kH            SI    S  2W
 21.008  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 5E+3)
 21.009  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 21.010  ACC          48.00D         L1%
 21.011  TARGET       -m
 21.012  MEMI         Enter DUT reading in dBm:
 21.013  MEMCX  60    48.00D         0.7U 0.08U    5kH

 22.001  9100         0.2231V                      50H            SI    S  2W
 22.002  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 50)
 22.003  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 22.004  ACC          -0.02D         L1%
 22.005  TARGET       -m
 22.006  MEMI         Enter DUT reading in dBm:
 22.007  MEMCX  60    -0.02D         0.7U 0.08U    50H

 23.001  9100         0.0562V                      10kH           SI    S  2W
 23.002  MATH         L[1] = ACCV2(CalDev, "Volts SI", MEM1, 10E+3)
 23.003  MATH         L[1] = (L[1] / MEM1) * 100 / CalConf * 2
 23.004  ACC          -12.00D        L1%
 23.005  TARGET       -m
 23.006  MEMI         Enter DUT reading in dBm:
 23.007  MEMCX  60    -12.00D        2.5U 0.08U    10kH

 24.001  HEAD
 24.002  9100         *                                                 S
 24.003  JMPL         DC_VOLTAGE

 24.004  LABEL        DC_CURRENT
 24.005  RSLT         =
 24.006  HEAD         {DC CURRENT}
 24.007  RSLT         =
 24.008  HEAD         -2{100 µA Range}
 24.009  TARGET       -p
 24.010  PIC          9100_38XR_mA_2w
 24.011  DISP         Rotate the DUT function switch to µA.
 24.012  TARGET       -m
 24.013  9100   100   90.00uA        0.5% 0.10U                            2W

 25.001  RSLT         =
 25.002  HEAD         -2{1000 µA Range}
 25.003  TARGET
 25.004  9100   1000  900.0uA        0.5% 0.5U                             2W

 26.001  9100         *                                                 S
 26.002  JMPL         AC_CURRENT

 26.003  LABEL        DC_CURRENT_mA
 26.004  HEAD         DC CURRENT
 26.005  RSLT         =
 26.006  HEAD         -2{10 mA Range}
 26.007  TARGET       -p
 26.008  DISP         Rotate the DUT function switch to mA.
 26.009  TARGET       -m
 26.010  9100   10    9.000mA        0.5% 0.005U                           2W

 27.001  RSLT         =
 27.002  HEAD         -2{100 mA Range}
 27.003  TARGET
 27.004  9100   100   90.00mA        0.5% 0.05U                            2W

 28.001  RSLT         =
 28.002  HEAD         -2{400 mA Range}
 28.003  TARGET
 28.004  9100   400   390.0mA        0.5% 0.5U                             2W

 29.001  9100         *                                                 S
 29.002  JMPL         AC_CURRENT_mA

 29.003  LABEL        DC_CURRENT_10A
 29.004  HEAD         DC CURRENT
 29.005  RSLT         =
 29.006  HEAD         -2{10 A Range}
 29.007  TARGET       -p
 29.008  DISP         Rotate the DUT function switch to 10A.
 29.009  PIC          9100_38XR_10A_2w
 29.010  TARGET       -m
 29.011  9100   10    9.000A         1.5% 0.010U                           2W

 30.001  9100         *                                                 S
 30.002  JMPL         AC_CURRENT_10A

 30.003  LABEL        AC_CURRENT
 30.004  RSLT         =
 30.005  HEAD         {AC CURRENT}
 30.006  RSLT         =
 30.007  HEAD         -2{100 µA Range}
 30.008  TARGET       -p
 30.009  DISP         Press the DUT yellow button until "AC" is displayed.
 30.010  TARGET       -m
 30.011  9100   100   90.00uA        1.5% 0.20U    1kH            SI       2W

 31.001  RSLT         =
 31.002  HEAD         -2{1000 µA Range}
 31.003  TARGET
 31.004  9100   1000  900.0uA        1.5% 2.0U     50H            SI       2W

 32.001  9100         *                                                 S
 32.002  JMPL         DC_CURRENT_mA

 32.003  LABEL        AC_CURRENT_mA
 32.004  HEAD         AC CURRENT
 32.005  RSLT         =
 32.006  HEAD         -2{10 mA Range}
 32.007  TARGET       -p
 32.008  DISP         Press the DUT yellow button until "AC" is displayed.
 32.009  TARGET       -m
 32.010  9100   10    9.000mA        1.5% 0.020U   1kH            SI       2W

 33.001  RSLT         =
 33.002  HEAD         -2{100 mA Range}
 33.003  TARGET
 33.004  9100   100   90.00mA        1.5% 0.20U    50H            SI       2W

 34.001  RSLT         =
 34.002  HEAD         -2{400 mA Range}
 34.003  TARGET
 34.004  9100   400   390.0mA        2.0% 1.0U     1kH            SI       2W

 35.001  HEAD         -2
 35.002  M9100        *
 35.003  9100         *                                                 S
 35.004  JMPL         4-20mA

 35.005  LABEL        AC_CURRENT_10A
 35.006  HEAD         AC CURRENT
 35.007  RSLT         =
 35.008  HEAD         -2{10 A Range}
 35.009  TARGET       -p
 35.010  DISP         Press the DUT yellow button until "AC" is displayed.
 35.011  TARGET       -m
 35.012  9100   10    9.000A         2.5% 0.020U   50H            SI       2W
 36.001  JMPL         END

 36.002  LABEL        4-20mA
 36.003  RSLT         =
 36.004  HEAD         {4-20mA}
 36.005  TARGET       -p
 36.006  DISP         Rotate the DUT function switch to 4-20mA DC.
 36.007  9100         4.8mA                                             S  2W
# Compute value in amps.
 36.008  MATH         L[2] = MEM1 * 1E-3
# Get Calibrator accuracy in amps and convert to milliamps.
 36.009  MATH         L[1] = ACCV(CalDev, "Amps", L[2]) / 1E-3
# Convert to percent, normalized, and expand.
 36.010  MATH         L[1] = (L[1] / L[2]) * 100 / CalConf * 2
 36.011  ACC          5.00pct        L1%
 36.012  TARGET       -m
 36.013  MEMI         Enter DUT reading in percent:
 36.014  MEMCX  100   5.00pct        0.5% 0.05U

 37.001  9100         19.2mA                                            S  2W
 37.002  MATH         L[2] = MEM1 * 1E-3
 37.003  MATH         L[1] = ACCV(CalDev, "Amps", L[2]) / 1E-3
 37.004  MATH         L[1] = (L[1] / L[2]) * 100 / CalConf * 2
 37.005  ACC          95.00pct       L1%
 37.006  TARGET       -m
 37.007  MEMI         Enter DUT reading in percent:
 37.008  MEMCX  100   95.00pct       0.5% 0.05U

 38.001  HEAD
 38.002  9100         *                                                 S
# Disconnect the HI lead now to prevent DUT connection error "Err" and buzzer.
 38.003  DISP         Disconnect the 9105 Yellow lead from the DUT.
 38.004  JMPL         DC_CURRENT_10A

 38.005  LABEL        CAPACITANCE
 38.006  RSLT         =
 38.007  HEAD         {CAPACITANCE}
 38.008  RSLT         =
 38.009  HEAD         -2{40 nF Range}
 38.010  TARGET       -p
 38.011  DISP         Rotate the DUT function switch to capacitance.
 38.012  PIC          9100_38XR_C_2w
 38.013  TARGET       -m
 38.014  9100   40    10.00nF        3% 0.10U                              2W

 39.001  RSLT         =
 39.002  HEAD         -2{400 nF Range}
 39.003  TARGET
 39.004  9100   400   100.0nF        3% 0.5U                               2W

 40.001  RSLT         =
 40.002  HEAD         -2{4 uF Range}
 40.003  TARGET
 40.004  9100   4     1.000uF        3% 0.005U                             2W

 41.001  RSLT         =
 41.002  HEAD         -2{40 uF Range}
 41.003  TARGET
 41.004  9100   40    10.00uF        3% 0.05U                              2W

 42.001  RSLT         =
 42.002  HEAD         -2{400 uF Range}
 42.003  TARGET
 42.004  9100   400   100.0uF        3% 1.0U                               2W

 43.001  9100         *                                                 S
 43.002  JMPL         DC_CURRENT

 43.003  LABEL        RESISTANCE
 43.004  RSLT         =
 43.005  HEAD         {RESISTANCE}
 43.006  RSLT         =
 43.007  HEAD         -2{1000 Ω Range}
 43.008  TARGET       -p
 43.009  DISP         Rotate the DUT function switch to Ω.
 43.010  TARGET       -m
 43.011  9100   1000  900.0Z         0.5% 0.8U                             4W

 44.001  RSLT         =
 44.002  HEAD         -2{10 kΩ Range}
 44.003  TARGET
 44.004  9100   10    9.000kZ        0.5% 0.008U                           4W

 45.001  RSLT         =
 45.002  HEAD         -2{100 kΩ Range}
 45.003  TARGET
 45.004  9100   100   90.00kZ        0.5% 0.08U                            4W

 46.001  RSLT         =
 46.002  HEAD         -2{1000 kΩ Range}
 46.003  TARGET
 46.004  9100   1000  900.0kZ        0.5% 0.8U                             2W

 47.001  RSLT         =
 47.002  HEAD         -2{10 MΩ Range}
 47.003  TARGET
 47.004  9100   10    9.000MZ        1% 0.010U                             2W

 48.001  RSLT         =
 48.002  HEAD         -2{40 MΩ Range}
 48.003  TARGET
 48.004  9100   40    30.00MZ        2% 0.10U                              2W

 49.001  HEAD         -2
 49.002  9100         *                                                 S

 49.003  RSLT         =
 49.004  HEAD         CONTINUTY
 49.005  TARGET
 49.006  DISP         Press the DUT yellow button until ")))))" is displayed.
 49.007  9100         35Z                                               S  2W
 49.008  OPBR         -z Is the beeper on?
 49.009  MATH         L[1] = MEM1
 49.010  9100         50Z                                               S  2W
 49.011  OPBR         -z Is the beeper off?
 49.012  MATH         L[1] = MEM1
 49.013  EVAL   -e L[1] && L[2] : CONTINUITY

 50.001  9100         *                                                 S

 50.002  RSLT         =
 50.003  HEAD         {DIODE TEST}
 50.004  TARGET       -p
 50.005  DISP         Rotate the function switch to Diode.
 50.006  TARGET       -m
 50.007  9100         0.600V         1.5% 0.005U                           2W

 51.001  9100         *                                                 S
 51.002  JMPL         FREQUENCY

 51.003  LABEL        DUTY_CYCLE
 51.004  RSLT         =
 51.005  HEAD         {DUTY CYCLE}
 51.006  M9100  PER   10mT
 51.007  TARGET       -p
 51.008  DISP         Press the DUT yellow button until "%" is displayed.
 51.009  TARGET       -m
 51.010  9100         10.00pct       2% 0.2U       3.3Vp          PU       2W

 52.001  M9100  PER   0.5mT
 52.002  TARGET
 52.003  9100         50.00pct       2% 0.2U       3.3Vp          PU       2W

 53.001  M9100  PER   0.1mT
 53.002  TARGET
 53.003  9100         90.00pct       2% 0.2U       3.3Vp          PU       2W

 54.001  M9100        *
 54.002  9100         *                                                 S
 54.003  JMPL         CAPACITANCE

 54.004  LABEL        FREQUENCY
 54.005  RSLT         =
 54.006  HEAD         {FREQUENCY}
 54.007  RSLT         =
 54.008  HEAD         -2{100 Hz Range}
 54.009  TARGET       -p
 54.010  DISP         Rotate the function switch to Hz.
 54.011  TARGET       -m
 54.012  9100   100   60.00H         0.1% 0.05U    3.3Vp          ZQ       2W

 55.001  RSLT         =
 55.002  HEAD         -2{1000 Hz Range}
 55.003  TARGET
 55.004  9100   1000  900.0H         0.1% 0.5U     3.3Vp          ZQ       2W

 56.001  RSLT         =
 56.002  HEAD         -2{10 kHz Range}
 56.003  TARGET
 56.004  9100   10    9.000kH        0.1% 0.005U   3.3Vp          ZQ       2W

 57.001  RSLT         =
 57.002  HEAD         -2{100 kHz Range}
 57.003  TARGET
 57.004  9100   100   90.00kH        0.1% 0.05U    3.3Vp          ZQ       2W

 58.001  RSLT         =
 58.002  HEAD         -2{1000 kHz Range}
 58.003  TARGET
 58.004  9100   1000  900.0kH        0.1% 0.5U     3.3Vp          ZQ       2W

 59.001  RSLT         =
 59.002  HEAD         -2{10 MHz Range}
 59.003  TARGET
 59.004  9100   10    9.000MH        0.1% 0.005U   5.5Vp          ZQ       2W

 60.001  9100         *                                                 S
 60.002  JMPL         DUTY_CYCLE

 60.003  LABEL        END
 60.004  HEAD         -2
 60.005  HEAD
 60.006  END
